Page MenuHomePhabricator

Bump CodeMirror to latest version
Closed, ResolvedPublic2 Story Points

Description

CodeMirror latest has some general bug fixes and improvements for the search add-on. The upcoming release might also have some RTL fixes (there's a PR that looks good). We should bump CM to the latest release.
Also as part of this CM will have to be installed via node because that lets us build some things that are otherwise not in the raw codebase, for whatever reasons.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 31 2017, 10:13 PM
Pastakhov claimed this task.Sep 4 2017, 4:26 PM

Change 375943 had a related patch set uploaded (by Pastakhov; owner: Pastakhov):
[mediawiki/extensions/CodeMirror@master] Update CodeMirror library version to 5.29.0

https://gerrit.wikimedia.org/r/375943

kaldari triaged this task as Low priority.Sep 5 2017, 11:31 PM
kaldari set the point value for this task to 2.

Change 375943 merged by jenkins-bot:
[mediawiki/extensions/CodeMirror@master] Update CodeMirror library version to 5.29.0

https://gerrit.wikimedia.org/r/375943

Niharika moved this task from Ready to Q1 2018-19 on the Community-Tech-Sprint board.
MaxSem closed this task as Resolved.Sep 12 2017, 11:14 PM
MaxSem removed a project: Patch-For-Review.
DannyH moved this task from Estimated to Archive on the Community-Tech board.Sep 15 2017, 9:24 PM